Subject: bug#49588: 28.0.50; (number-at-point) doesn't work with hex prefixes

From: Remington Furman <[email-masked]>
Date: Fri, 16 Jul 2021 13:25:05 -0700

Thank you, Lars.

Yes, I would be happy to sign that paperwork.  Where can I find it?

Lars Ingebrigtsen wrote:
> "Remington Furman" <[email-masked]> writes:
>
>> (number-at-point) works as expected and returns 256 when the point is at
>> the "#" of "#x100".  It returns nil when the point is on "x", and 100
>> elsewhere.
>>
>> The following works as expected (though I don't suggest it's the best
>> possible implementation):
> Thanks; I think that implementation makes sense, so I've added it to
> Emacs 28 (with some test cases).
>
> This change was small enough to apply without assigning copyright to the
> FSF, but for future patches you want to submit, it might make sense to
> get the paperwork started now, so that subsequent patches can be applied
> speedily. Would you be willing to sign such paperwork?
>